APIs / Goodreads / Search

Goodreads: Search

Search from Goodreads as JSON. 1 credit per successful call.

GET /v1/goodreads/search

Parameters

Send parameters in the query string.

ParameterTypeRequiredAllowed values
querystringRequiredUp to 255 characters
pageintegerOptionalAny

Example request

cURLshell
curl "https://api.perceptlayer.com/v1/goodreads/search?query=the+lord+of+the+rings&page=1" \
  -H "X-API-Key: $API_KEY"

Run this endpoint in the playground with your own parameters. 1 credit per successful call; failed calls are free.